GLOBAL_MAPPER_SCRIPT VERSION="1.00"

//LOOPS THROUGH ALL LOADED LAYERS AND SETS SEA LEVEL 0 IF ITS LESS THAN 0

// Loop over the loaded layers
LAYER_LOOP_START FILENAME="*"
	//Gets the Minimum Elevation from Metadata for the layer
	QUERY_LAYER_METADATA METADATA_LAYER="%LAYER_DESC%" METADATA_ATTR="MIN ELEVATION" RESULT_VAR="VARMinElev"

	//Display the Minimum Elevation
	LOG_MESSAGE Minimum Elevation %VARMinElev%
	
	//If the Minimum Elevation is LESS THAN 0
	IF COMPARE_STR="%VARMinElev%<0"
		//Set Minimum Elevation to 0
		SET_LAYER_OPTIONS FILENAME="%LAYER_DESC%" MIN_ELEV=0
		//Clamp to 0
		SET_LAYER_OPTIONS FILENAME="%LAYER_DESC%" CLAMP_ELEVS=1
		//Fill all the empty space with 0 elevation (Sea Level)
		SET_LAYER_OPTIONS FILENAME="%LAYER_DESC%" VOID_ELEV=0
	END_IF
	
LAYER_LOOP_END